Well, it's been quite a while, so here are the changes since last update:
New main room stereo loudspeakers (free, but ultimately a sad story) - Kralk Audio TDB-8
New USB DAC in the main room. It brings the last bits of features left on my would like list and measures so well in all meaningful domains that anything better will be pointless - TOPPING D50s, a birthday gift. Nothing wrong with Chi-Fi when it's well engineered like this one
New 55" FALD LCD 4K HDR Sony TV, an upgrade from 1080p LCD, using a voucher from Emma's work
Raspberry Pi 4s on the TVs. Does 4K HDR and x.265/HEVC video, as well as all HBR multichannel audio. It's not only cheap, but it's also the only device I know off that is able to send video on one HDMI port and audio on the other (my receiver is too old and its HDMI version does not handle 4K video or ARC, and by extension eARC). I'll upgrade to a Denon AVC-3700H when I grow up!
New server hardware. The Gen2 i5 laptop has been replaced by a 7th Gen i5, thus faster and needing less electricity. It's also much more practical with its very small footprint - Intel NUC7i5BNH, massively good lot deal off Facebook Marketplace, bought a few, sold a few, financed mine
Additional disk in the NAS. Two extra TB
New Wi-Fi access point, providing an upgrade from 300 Mbps N to 1750 MBps AC, another voucher
New ISP, now symmetric 150 Mbps fiber from 60/10 aDSL, and much cheaper
New 8 port GigE switch, using the change from the TV's voucher
Our bedroom music, part of a larger setup, is a Roon endpoint based on the following equipment:
a Raspberry Pi 3 B microcomputer, with on-board 2.4 GHz Wi-Fi, running DietPi Linux and Roon Bridge
a HifiBerry AMP2 IQaudIO (now Raspberry Pi) DigiAMP+ add-on board, a 24 bit, 192 kHz capable PCM DAC with a 35 W class D amplifier
a 65 W (18 V, 3.34 A) switch mode power supply brick that powers everything
a pair of Wharfedale Diamond 9.1 bookshelf speakers, turned white
2.5 mm2 OFC speaker cables
Most of the equipment is hidden under the bed, with only the speakers visible. Volume control was solely through the Roon Remote application on the laptops or mobile devices.
It was quite "naked", though!
I wanted to get the following improvements:
Use Wi-Fi on the 5 GHz band, 2.4 GHz is too crowded in our building, interferences are killing network performance. It's difficult to play standard CD quality music during the evening, forget high-resolution music
Have an enclosure that is not too geeky-looking and able to have all sorts of sockets fitted
Proper speaker binding terminals, no geeky screw-in stuff, but practical 4mm banana plugs
Physical volume and mute button, something that controls volume the good old way, quickly
Infrared remote control for volume and mute as well as Roon's play/pause, next and previous track
All that while fitting within a budget as close to zero as possible!
Improvements
Kitlist
Here is a list of all the parts used:
1x USB Wi-Fi adapater, N, 5 GHz Replaced by the built-in capabilities of a newly acquired Raspberry Pi 3 B+
1x small wooden box, from Sainsbury's downstairs - Enclosure - £6
1x 5.5 mm x 2.1mm DC power jack female, barrel, panel mount - Power input - £2.77 for a pack of 5
1x white Apple remote control - £0 (a gift from a friend!)
20x 3" female/female Jumper wires - £2
1x 3.5mm mini jack chassis panel Mount Stereo Headphone Input Socket Connector - For the infrared sensor connection - £1.89
1x 3 m 3.5 mm male/male stereo jack cable - For the infrared sensor - £2.78
1x kit of various diameters of black heat shrink tubing - Will insulate connections and make things look tidy - £1.79
4x standoffs and screws - For mounting the Raspberry Pi - £0 (I had spares)
5 GHz USB Wifi
Anything below is now for historical purposes, just in case someone else needs it. I've scrapped that USB dongle and now use a Raspberry Pi 3 B+ with built-in 5GHz capabilities that are supported out of the box.
I bought a TP-Link Archer T2U adapter. It's is a dual band (2.4 and 5 GHz) A/B/G/N/AC model. I just need 5 GHz N at home.
Linux support is not stellar. I had to manually compile a specific driver (make sure that you read this bug) and force the use of the access point's 5 GHz radio (BSSID) through wpa_supplicant.conf:
32 bit, 384 kHz PCM audio is now flawlessly streaming at any time of the day!
Enclosure
Wood preparation
I've unscrewed all the lock and hinges and treated the wood with Restor-A-Finish and Feed-N-Wax. This gave the grain a bit of a better look and will hopefully keep the finish more durable. Needless to say, this is very crap wood!
Before:
After:
Ventilation
The Raspberry Pi and the very efficient class D amp do not generate much heat. This is not a reason to leave them in a completely closed box.
Holes on the top:
Volume knob
Hardware
The rotary encoder is mounted on the top plate, dead center. The box is deep enough, there will be no pin in close proximity with the Raspberry Pi below.
Three pins are used for the rotary encoder (volume), two pins for the push button (mute/un-mute).
Software
I used this python script. I had to adapt it with the GPIO pins I've used and change the mixer from PCM to Digital.
It works like a charm!
Raspberry Pi
Standoffs and screws ready for mounting on the thin bottom board of the box, followed by four 2.5 mm holes:
Speaker terminals
Four 10 mm holes later...
Power connector
This is a simple female 2.1 mm barrel socket, screwed into the wood. Not much to say here. It uses the screwed binding posts of the amplifier.
Infrared sensor and connector
Hardware
As the box is mostly hidden under the bed, I have attached the IR sensor at the end of a 3m cable, terminated with a 3.5 mm jack. Then sensor will end up living discreetly on a shelf above the bed.
The box is equipped with a jack socket.
Software
LIRC is used for understanding the remote input, IREXEC is used to take action on button presses, using amixer.
The LIRC configuration has dramatically changed in recent versions of Raspbian, making the guides commonly found on the Internet rather misleading.
Here is what needs to be done:
First, add the dtoverlay info in /boot/config.txt (/Dietpi/config.txt in DietPi), there will be no manual loading of any module:
dtoverlay=gpio-ir,gpio_pin=25
If you see online documentation using lirc-rpi and gpio_in_pin, it's from an old configuration method that got deprecated sometime in 2019.
Edit file /etc/lirc/lirc_options.conf and change from:
Delete or suffix (.dist) the existing remote configuration file(s) in /etc/lirc/lircd.conf.d/
Get the know nomenclature for button names:
irrecord --list-namespace
Create a remote configuration file using:
irrecord -d /dev/lirc0
The output file in /etc/lirc/lircd.conf.d/ will be buggy, removing the last column of number for each key normally works. It did for me.
Test that it's working with
irw
Then my buddy Pal gave me a white Apple remote, a very well known entity, to replace the no brand credit card thing I had salvaged from a TV tuner. You can find its configuration file easily. Pal is a very cool guy. Thanks again!
I'm using the following /etc/lirc/irexec.lircrc global configuration to control amixer on button presses:
begin
prog = irexec
remote = Apple_A1156
button = KEY_MENU
repeat = 0
config = amixer sset Digital toggle > /dev/null
end
begin
prog = irexec
remote = Apple_A1156
button = KEY_KPPLUS
repeat = 1
config = amixer sset Digital 1%+ > /devnull
end
begin
prog = irexec
remote = Apple_A1156
button = KEY_KPMINUS
repeat = 1
config = amixer sset Digital 1%- > /dev/null
end
begin
prog = irexec
remote = Apple_A1156
button = KEY_PLAY
repeat = 0
config = /usr/local/bin/roon_ir.sh playpause
end
begin
prog = irexec
remote = Apple_A1156
button = KEY_FASTFORWARD
repeat = 0
config = /usr/local/bin/roon_ir.sh next
end
begin
prog = irexec
remote = Apple_A1156
button = KEY_REWIND
repeat = 0
config = /usr/local/bin/roon_ir.sh previous
end
You will need this roon_ir.sh script to apply play/pause/next/previous to the proper zone, regardless of grouping (many thanks going to Guillaume for the jq stuff!):
#!/bin/sh
## Finds the zone of a Roon output_id and issues various commands
## Needs curl and jq on the machine running the script
## Need the following Roon extension: HTTP Calls for Roon API
## https://github.com/st0g1e/roon-extension-http-api
# Setup variables
#OUTPUTID=17018a614928ad155ce1fbec357bcd656208
OUTPUTID=170103af261386beb0995cc4d0c5f0acfc75
SERVER=192.168.1.106
SERVERPORT=3001
# Checking for needed tools
command -v curl >/dev/null 2>&1 || { echo "I require curl but it's not installed. Aborting." >&2; exit 1; }
command -v jq >/dev/null 2>&1 || { echo "I require jq but it's not installed. Aborting." >&2; exit 1; }
# Finding the zone_id based on output-id
BEDROOMZONE=$(curl -s -H "X-Requested-With: XMLHttpRequest" http://$SERVER:$SERVERPORT/roonAPI/listZones | jq --raw-output '.zones | .[] | select(.outputs[].output_id=="'$OUTPUTID'") | .zone_id')
echo roon_ir: Bedroom zone is: $BEDROOMZONE
# Sending the command via the HTTP API
case "$1" in
playpause)
curl -s -o /dev/null http://$SERVER:$SERVERPORT/roonAPI/play_pause?zoneId=$BEDROOMZONE
echo roon_ir: Play-Pause using http://$SERVER:$SERVERPORT/roonAPI/play_pause?zoneId=$BEDROOMZONE
;;
next)
curl -s -o /dev/null http://$SERVER:$SERVERPORT/roonAPI/next?zoneId=$BEDROOMZONE
echo roon_ir: Next using http://$SERVER:$SERVERPORT/roonAPI/next?zoneId=$BEDROOMZONE
;;
previous)
curl -s -o /dev/null http://$SERVER:$SERVERPORT/roonAPI/previous?zoneId=$BEDROOMZONE
echo roon_ir: Previous using http://$SERVER:$SERVERPORT/roonAPI/previous?zoneId=$BEDROOMZONE
;;
*)
echo "Usage: $0 {playpause|next|previous}"
exit 1
esac
I am using amixer commands to control the volume level, including a mute toggle, and HTTP Calls for Roon APIs to control Play/Pause, Next and Previous track though cURL.
Technical test with alsamixer:
Practical test with Roon:
Update of the amplifier board - September 2023
The Hifiberry amplifier board that I've used finally developed loud popping sounds, first during music start and stops, then during playback, continuously. This is a problem that I've experiences with ALL such boards when used in other projects. Mine only survived longer than usual. I suspect an engineering issue with input power regulation.
I have used an IQaudIO (acquired by Raspberry Pi) DigiAMP+ as a replacement. I've used it in many other projects, quite a few times replacing a defective Hifiberry product, with great success and reliability. It's almost a drop-in replacement, as I had to solder the power wires on the available pads (no screw-in terminals). The GPIO pins are also standard and thicker, making the connections far more secure. The pins used and software side are identical, outside of the audio HAT config.
After more than 10-15 years, you can be certain that the electrolytic capacitors in your amplifier will have aged, leaked, if not worse, and will not perform at their best, making your amplifier a worse performer.
Some of those capacitor are important because they provide an electrical power reserve when volume peaks are needed, some others are on the signal path, some are within the phono pre-amplifier.
A replacement of those capacitors (a recap) is something that is needed at that stage.
Theory
Here are the capacitors that will need changing on this amplifier, on the schematic diagram:
Here are the capacitors that will need changing on this amplifier, on the wiring diagram:
In order to visually help, here are a few shots of the real thing. The two main 8200 µF capacitors for the power supply are not shown here, but you can't miss them, they are the biggest things on the board!
Here is the list and description of the capacitors to change:
Item
Number
Voltage (V)
Value (µF)
Diameter (mm)
Comments
1. Power Supply
C903
35
8200
30
10,000 µF 35-40V would be ok too
C904
35
8200
30
10,000 µF 35-40V would be ok too
C901
25
2200
16
C902
25
2200
16
2. Amplification
C605
100
10
6
Something like Panasonic FC series
C606
100
10
6
Something like Panasonic FC series
3. Phono stage
C405
10
4.7
"Bead"
Something like Panasonic FC series, use 10 µF instead
C406
10
4.7
"Bead"
Something like Panasonic FC series, use 10 µF instead
C417
50
10
6
Something like Panasonic FC series
C418
50
10
6
Something like Panasonic FC series
Here are suggestions for replacement, with references from RS Components:
Item
Number
Description
Pack of
Diameter (mm)
RS Stock No
Manufacturer part #
Price
URL
1. Power Supply
C903
Nichicon Aluminium Electrolytic Capacitor 10000μF 35 V 22mm Through Hole 5101-4 VY Series Lifetime 1000h +105°C
By continuing to use the site, you agree to the use of cookies. more information
The cookie settings on this website are set to "allow cookies" to give you the best browsing experience possible. If you continue to use this website without changing your cookie settings or you click "Accept" below then you are consenting to this.